Page MenuHomePhabricator

Fix countdown clock on [[meta:Wikipedia 15/bn]]
Closed, ResolvedPublic

Description

The countdown clock at https://meta.wikimedia.org/wiki/Wikipedia_15/bn is broken because it uses Bengali numerals which are not properly parsed with {{#time:}}.

Workarounds worth considering:

  1. Use some form of {{formatnum:}} to convert the numerals into Arabic (have tried, not sure how this works);
  2. Remove countdown clock from Bengali version of the page (not sure how this would be done either);
  3. Format countdown clock to avoid this issue entirely (not possible really).

Marking as High priority initially because this is a serious graphical glitch for users in Bengali.

Event Timeline

jrbs created this task.Nov 26 2015, 12:26 PM
jrbs updated the task description. (Show Details)
jrbs raised the priority of this task from to High.
jrbs claimed this task.
jrbs added a project: WMF-Communications.
jrbs added a subscriber: jrbs.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 26 2015, 12:26 PM
jrbs added a comment.Nov 26 2015, 1:29 PM

It may well be, given it's throwing this particular error. It means that MediaWiki can't perform the arithmetic asked of it. I'm looking into shortterm solutions for this particular instance since it's actively impeding usability.

jrbs added a comment.Nov 26 2015, 1:51 PM

Update—through a *really* dirty hack ;) I've managed to hide the countdown clock from the Bengali version of this page. It's not an ideal solution but it means this is (at least just now) resolved.

May open a bug similar to T21412 to get to the bottom of using {{#expr:}} with {{#time:}} in Bengali.

jrbs closed this task as Resolved.Nov 30 2015, 3:47 AM

For the purposes of this bug this has been resolved through the use of the ContentTranslation tool. It's not an ideal solution and isn't really fixed per se, but realistically this bug's never going to go further than this.

We have this issue on Kannada page as well - https://meta.wikimedia.org/wiki/Wikipedia_15/kn . Please fix.

https://phabricator.wikimedia.org/T21412 - Find more info on this bug where regional languages numerals causing issue in expr etc and a quick fix is also noted here.

jrbs added a comment.Dec 17 2015, 8:30 PM
https://phabricator.wikimedia.org/T21412 - Find more info on this bug where regional languages numerals causing issue in expr etc and a quick fix is also noted here.

Thanks! This is now actually 100% fixed for real. :)